<script>
  import Drawers from "./assets/drawers.jpg";
  import Avatar from "./assets/avatar-michelle.jpg";
  import Share from "./assets/icon-share.svg";
  import ShareWhite from "./assets/icon-share-white.svg";
  import Facebook from "./assets/icon-facebook.svg";
  import Twitter from "./assets/icon-twitter.svg";
  import Pinterest from "./assets/icon-pinterest.svg";
  import "./app.css";

  let shareImage = Share;
  const displayShareMenu = () => {
    document.getElementById("share").style.display = "flex";
    if (window.innerWidth < 900) {
      document.getElementById("card").style.paddingBottom = "0";
      document.getElementById("card").style.marginBottom = "20px";
    }
    shareImage = ShareWhite;
    document.getElementById("share-icon").classList.add("share-icon-active");
  };
  const hideShareMenu = () => {
    document.getElementById("share").style.display = "";
    document.getElementById("share-icon").style.filter = "";
    document.getElementById("card").style.paddingBottom = "";
    document.getElementById("card").style.marginBottom = "";
    shareImage = Share;
    document.getElementById("share-icon").classList.remove("share-icon-active");
  };
  const toggleShareMenu = () => {
    if (document.getElementById("share").style.display == "")
      displayShareMenu();
    else if (document.getElementById("share").style.display == "flex")
      hideShareMenu();
  };
  window.addEventListener("resize", () => {
    if (document.getElementById("share").style.display == "flex") {
      if (window.innerWidth < 900) {
        document.getElementById("card").style.paddingBottom = "0";
        document.getElementById("card").style.marginBottom = "20px";
      }
    } else hideShareMenu();
  });
</script>

<main>
  <div id="card">
    <img
      loading="lazy"
      class="card-image"
      src={Drawers}
      alt="Drawers"
      height="200"
      width="326"
    />

    <section class="card-text">
      <h2 class="article-title">
        Shift the overall look and feel by adding these wonderful touches to
        furniture in your home
      </h2>
      <p class="article-desc">
        Ever been in a room and felt like something was missing? Perhaps it felt
        slightly bare and uninviting. I've got some simple tips to help you make
        any room feel complete.
      </p>

      <section id="author">
        <span class="author-left">
          <img loading="lazy" src={Avatar} alt="Avatar" class="author-avatar" />
          <span class="author-details">
            <strong class="author-name">Michelle Appleton</strong>
            <span class="article-date">28 Jun 2020</span>
          </span>
        </span>
        <img
          loading="lazy"
          src={shareImage}
          alt="Share icon"
          id="share-icon"
          on:click={toggleShareMenu}
        />
      </section>

      <section id="share">
        <span class="share-left">
          <span class="share-text">SHARE</span>
          <span class="share-socials">
            <img src={Facebook} alt="Facebook icon" />
            <img src={Twitter} alt="Twitter icon" />
            <img src={Pinterest} alt="Pinterest icon" />
          </span>
        </span>
        <div class="share-point" />
      </section>
    </section>
  </div>
</main>

<footer id="footer" class="attribution">
  Challenge by <a
    href="https://www.frontendmentor.io?ref=challenge"
    target="_blank"
    rel="noreferrer">Frontend Mentor</a
  >. Coded by
  <a
    href="https://saad-shaikh-portfolio.netlify.app/"
    target="_blank"
    rel="noreferrer">Saad Shaikh</a
  >.
</footer>

<style>
</style>
